<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Open TextGrid Object</title>
<style type="text/css">@import url("file:/opt/eclipse/plugins/org.eclipse.epp.package.standard_4.4.2.20150219-0708/book.css");</style>
<style type="text/css">@import url("file:/home/tv/.eclipse/org.eclipse.platform_4.4.2_1473617060_linux_gtk_x86_64/configuration/org.eclipse.osgi/207/0/.cp/schema.css");</style>
</HEAD>
<BODY>
<H1 style="text-align:center">Open TextGrid Object</H1>
<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Identifier: </h6>info.textgrid.lab.ui.core.openObject<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Since: </h6>Not yet implemented.
<p></p>

<h6 class="CaptionFigColumn SchemaHeader">Description: </h6>Provides a framework to implement open for one or more specific content types.<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Configuration Markup:</h6>
<p></p>
<p class="code SchemaDtd">&lt;!ELEMENT <a name="e.extension">extension</a> (<a href="#e.openObject">openObject</a>+)&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST extension</p>
<p class="code SchemaDtdAttlist">point&nbsp;CDATA #REQUIRED</p>
<p class="code SchemaDtdAttlist">id&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">name&nbsp;&nbsp;CDATA #IMPLIED&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
</ul>
<br><p class="code SchemaDtd">&lt;!ELEMENT <a name="e.openObject">openObject</a> (<a href="#e.contentType">contentType</a>+)&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST openObject</p>
<p class="code SchemaDtdAttlist">label&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA #REQUIRED</p>
<p class="code SchemaDtdAttlist">description&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">priority&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA "0"</p>
<p class="code SchemaDtdAttlist">command&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;IDREF #IMPLIED</p>
<p class="code SchemaDtdAttlist">parameter_uri&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;IDREF #IMPLIED</p>
<p class="code SchemaDtdAttlist">parameter_readonly&nbsp;IDREF #IMPLIED&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
<li><b>label</b> - A translatable name to display, e.g., in the Open With menu</li>
<li><b>description</b> - Longer description to display for this action.</li>
<li><b>priority</b> - A (positive or negative) integer indicating the specified handler's priority compared to other handlers for the content type.

When providing the handlers in a list, the items are sorted by priority, descending (ie the one with  the highest priority first). When the default action is used (e.g., by double clicking) and multiple handlers are available, then the handler with the highest priority is used.

I suggest to leave the default (0) for normal handlers, use negative values for secondary handlers and use positive values to override stuff.</li>
<li><b>command</b> - The ID of the command which manages to open the TextGrid object. The corresponding handler could use the OpenObjectService class to open the object in the editor under locking conditions (e.g. OpenObjectService.getInstance().openObject(object, 2)).</li>
<li><b>parameter_uri</b> - The ID of the parameter which is used to forward the uri of the TextGrid object which should be opened. The parameter belongs to the given command attribute.</li>
<li><b>parameter_readonly</b> - The ID of the parameter which is used to forward if the TextGrid object should be opened in read read-only mode. The parameter belongs to the given command attribute.</li>
</ul>
<br><p class="code SchemaDtd">&lt;!ELEMENT <a name="e.contentType">contentType</a> EMPTY&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST contentType</p>
<p class="code SchemaDtdAttlist">id&nbsp;IDREF #REQUIRED&gt;</p>
<p></p>
<p class="ConfigMarkupElementDesc">
Add a content type element for every TextGrid content type that is handled by this implementation.Stack TracStack Tracee</p>
<br>
<ul class="ConfigMarkupAttlistDesc">
<li><b>id</b> - The ID of the content type, e.g., text/xml.</li>
</ul>
<br><br>
<p class="note SchemaCopyright">
</p>
</BODY>
</HTML>
